routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes(['verify' => true]);
Route::post('/test','RendezVousController@search')->name('rendezvous_search');
Route::get('/test','RendezVousController@search');
Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
Route::get('/profile', 'ProfileController@index')->name('profile');
Route::post('/editprofile', 'ProfileController@edit')->name('editprofile');
Route::get('/patients/{id}/rencontres','RencontreController@list')->name('patients.rencontres');
Route::post('/patients/search','PatientController@search')->name('patient_search');
Route::post('upload_image', 'ProfileController@store_image')->name('upload_image');
Route::post('change_name','ProfileController@change_name')->name('change_name');
Route::post('change_lastname','ProfileController@change_lastname')->name('change_lastname');
Route::post('change_password','ProfileController@change_password')->name('change_password');
Route::resource('patients', 'PatientController');
Route::resource('rencontres', 'RencontreController');
Route::resource('rendezvous', 'RendezVousController');
Route::get('patient/{id}/images','PatientController@show_images')->name('show_images');
Route::get('patient/{id}/documents','PatientController@show_documents')->name('show_documents');
Route::post('/images/store','ImageController@store_image')->name('store_image');
Route::get('images/create','ImageController@create')->name('images.create');
Route::post('/documents/s/store','DocumentController@store')->name('store_doc');
Route::get('documents/create','DocumentController@create')->name('documents.create');

app/Rencontre.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Rencontre extends Model
{
    protected $fillable = [
        'date',
        'type_contact',
        'donnees_significatives',
        'conclusion',
        'decisions',
        'patient_id',
        'user_id',
    ];
    public function patient()
    {
        return $this->belongsTo('App\Patient','patient_id');
    }
}

app/Http/Controllers/RencontreController.php
<?php

namespace App\Http\Controllers;

use App\Rencontre;
use App\Patient;
use Carbon\Traits\Date;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class RencontreController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth','verified']);
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        //

    }

    /**
     * Display a listing of meeting of specific patient.
     *
     * @return \Illuminate\Http\Response
     */
    public function list( Request $request)
    {
        //
        $id =$request->id;
        $data= Rencontre::where('patient_id','=',$id)->where('user_id','=',Auth::user()->id)->orderBy('date', 'asc')->paginate(1);
        $data->withpath('?id='.$id);
        $patient=DB::table('patients')->where('id','=',$id)->get();
        return view('rencontres.index',['data'=> $data,'patient'=>$patient]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('rencontres.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $request->validate([
        'type_contact' =>'required',
        'donnees_significatives' =>'required',
        'conclusion' =>'required',
        'decisions' =>'required',
        ]);        $contact = new Rencontre([
            'date' => date('Y-m-d'),
            'type_contact' => $request->get('type_contact'),
            'donnees_significatives' => $request->get('donnees_significatives'),
            'conclusion' => $request->get('conclusion'),
            'decisions' => $request->get('decisions'),
            'patient_id'=>$request->get('patient_id'),
            'user_id' => Auth::user()->id,
        ]);
        $contact->save();
        return redirect ('patients/'.$request->get('patient_id').'/rencontres')->with('success', 'Meeting saved!');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Rencontre  $rencontre
     * @return \Illuminate\Http\Response
     */
    public function show(Rencontre $rencontre)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Rencontre  $rencontre
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $rencontre=Rencontre::find($id);
        return view('rencontres.create',['rencontre'=>$rencontre]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Rencontre  $rencontre
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Rencontre $rencontre)
    {
        //
        $request->validate([
            'type_contact' =>'required',
            'donnees_significatives' =>'required',
            'conclusion' =>'required',
            'decisions' =>'required',
            ]);
        $rencontre->type_contact=$request->get('type_contact');
        $rencontre->donnees_significatives=$request->get('donnees_significatives');
        $rencontre->conclusion=$request->get('conclusion');
        $rencontre->decisions=$request->get('decisions');
        $rencontre->save();
       return redirect('/patients/'.$rencontre->patient->id.'/rencontres')->with('success', 'Meeting updated!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Rencontre  $rencontre
     * @return \Illuminate\Http\Response
     */
    public function destroy(Rencontre $rencontre )
    {
        //
        $rencontre->delete();
        return redirect()->back()->with('success', 'Meeting deleted!');
    }
}

resources/views/rencontres/create.blade.php
@extends('layouts.app')

@section('title', 'Meet')
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('New meeting') }}</div>

                    <div class="card-body">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                            @endif
                            @if (!empty($rencontre))
                                <form class="flex flex-col w-full" method="POST"
                                    action="{{ route('rencontres.update', $rencontre) }}">
                                    @method('put')

                                @else
                                    <form class="flex flex-col w-full" method="POST" action="{{ route('rencontres.store') }}">
                            @endif
                            @csrf
                                    <input name="patient_id" id="patient_id" type="hidden" value="{{Request::get('id'), $rencontre->patient->id ?? ''}}">
                            <div class="flex w-full">
                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="type_contact"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.typeContact') }}</label>
                                    <div class="col-md-6">
                                        <select id="type_contact" type="text" required name="type_contact"
                                            class=" form-control @error('type_contact') border-red-500 @enderror">
                                            <option value="{{ old('type_contact', $rencontre->type_contact ?? '') }}" selected>{{ old('type_contact', $rencontre->type_contact ?? '') }}</option>
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                        </select>
                                        @error('type_contact')
                                        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
                                        @enderror
                                    </div>
                                </div>

                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="donnees_significatives"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.donneesSingiRe') }}</label>
                                    <div class="col-md-6">
                                        <textarea rows="3" id="donnees_significatives" type="text" required name="donnees_significatives" class="form-control
                                @error('donnees_significatives') border-red-500 @enderror">
                               {{old('donnees_significatives')}} {{ $rencontre->donnees_significatives ?? '' }}
                            </textarea>

                                        @error('donnees_significatives')
                                        <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>

                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="conclusion"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.conclusionRe') }}</label>
                                    <div class="col-md-6">
                                        <textarea rows="3" id="conclusion" type="text" required name="conclusion"
                                            class="form-control
                                @error('conclusion') border-red-500 @enderror">
                                {{ old('conclusion')}} {{ $rencontre->conclusion ?? '' }}
                            </textarea>

                                        @error('conclusion')
                                        <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>

                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="decisions"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.decisions') }}</label>
                                    <div class="col-md-6">
                                        <textarea rows="2" id="decisions" type="text" required name="decisions"
                                             class="form-control
                                @error('decisions') border-red-500 @enderror">
                                {{ old('decisions')}}{{$rencontre->decisions ?? ''}}
                            </textarea>

                                        @error('decisions')
                                        <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <button class="btn btn-primary" type="submit">Save </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/rencontres/index.blade.php
@extends('layouts.app')

@section('title',__('login.rencontre'))
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">{{ __('login.rencontre') }}(s) :  <a href="{{route('patients.show',$patient[0]->id)}}">{{$patient[0]->name}} {{ $patient[0]->lastname}}</a></div>
                <div class="card-body">
                <a  type="button" class="btn btn-primary" href="{{ route('rencontres.create',['id'=>$patient[0]->id]) }}">{{__('login.nouvelleRE')}}</a>
<table class="table">
    <thead class="thead-dark">
      <tr>
      <th scope="col">{{__('login.dateRe')}}</th>
      <th scope="col">{{__('login.typeContact')}}</th>
        <th scope="col">{{__('login.donneesSingiRe')}}</th>
        <th scope="col">{{__('login.conclusionRe')}}</th>
        <th scope="col">{{__('login.decisions')}}</th>
        <th scope="col"></th>
      </tr>
    </thead>
    <tbody id="tbody_patients">
        @foreach($data as $item)
      <tr>
        <td>{{$item->date}}</td>
        <td>{{$item->type_contact}}</td>
        <td>{{$item->donnees_significatives}}</td>
        <td>{{$item->conclusion}}</td>
        <td>{{$item->decisions}}</td>
        <td>
        <form action="{{ route('rencontres.destroy', $item->id)}}" method="post" onsubmit="return confirm('{{ __('Are you sure you want to delete this item?') }}');">
                @csrf
                @method('DELETE')
            <input type="hidden" id="id" name="id" value="{{$patient[0]->id}}">
                <button class="btn btn-danger" type="submit">{{__('Delete')}}</button>
            </form><br>
            <a class="btn btn-primary" href="{{ url('/rencontres/'.$item->id.'/edit') }}">{{__('Edit')}}</a>
        </td>
      </tr>
      @endforeach
    </tbody>
</table>
{{$data->links()}}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection